<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">
		
let letras=[], dni=0, letra="",resto=0, letra_calculada="";


letras=["T","R","W","A","G","M","Y","F","P","D","X","B","N","J","Z","S","Q","V","H","L","C","K","E","T"];
dni=Number(prompt("Introduzca su número de DNI"));
letra=prompt("Introduzca la letra de su DNI").toUpperCase();

if(dni<0 || dni>99999999) {
	alert("El número proporcionado no es válido");

} else {

	resto=dni%23;
	letra_calculada=letras[resto];

if(letra==letra_calculada) {
	alert("El número y la letra del DNI son correctos");

	} else {
		alert("La letra indicada no es correcta");
	}

}

	</script>
</head>
<body>
	
</body>
</html>